shading

Discussion in 'AutoCAD' started by spencer1971, Jul 20, 2004.

  1. spencer1971

    spencer1971 Guest

    why does this lsp not finish correctly when point is picked but does finish when boundary is selected.

    any suggestions

    (defun c_inset ()
    (setq clay (getvar "clayer"))
    (setq ccol (getvar "cecolor"))
    )

    (defun c_outset ()
    (setvar "clayer" clay)
    (setvar "cecolor" ccol)

    )

    ;===========================================================================================
    ;===========================================================================================
    (defun c:shades1 ()
    (c_inset)
    (initget "Select Pick")
    (setq sorp (getkword "\nHatch Style? Pick/<Select>: "))
    (if (= sorp "Pick")
    (progn
    (setq sc1 (Getvar "dimscale"))
    (setvar "hpname" "solid")
    (setvar "hpang" 0)
    (setvar "hpscale" (* 1 sc1))
    (princ "\npick point within boundary")
    (initdia)
    (command "-bhatch") (while (> (getvar "CmdActive") 0) (command
    pause))
    (c_outset)
    (princ)
    )
    )
    (c_inset)
    (setq sc1 (Getvar "dimscale"))
    (princ "\nSelect objects to hatch")
    (SETQ OBJ (SSGET))
    (command "Bhatch" "P" "solid" (* 1 sc1) 0 "S" OBJ "" "")
    (c_outset)
    (princ)
    )
     
    spencer1971, Jul 20, 2004
    #1
  2. spencer1971

    spencer1971 Guest

    Not to worry i figured it out...

    Many thanks anyway

    Spencer
     
    spencer1971, Jul 20, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.